#include "sdl_credits.h"

namespace sdl {
EXPORT void Credits::SetTextSize(int pt) {
    textsize=pt;
    font.SetSize(pt);
}

EXPORT void Credits::AddLine(const std::string& opt, int size) {
    line.push_back(CreditsLine(font, opt, size));
}

EXPORT void Credits::Clear(Color color) {
    renderer.SetDrawColor(color);
    renderer.Clear();
}
}
